%define archivename	LinLibertineFont
%define fontdir		%{_datadir}/fonts/ttf/libertine
%define fver		2.8.14

Name:		fonts-ttf-libertine
Version:	2.8.14
Release:	%mkrel 2
Summary:	Linux Libertine Open Fonts
Group:		System/Fonts/True type
License:	GPL+ and OFL
URL:		http://linuxlibertine.sf.net
Source:		http://dl.sf.net/linuxlibertine/%{archivename}-%{fver}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
BuildRequires:	freetype-tools
Requires(post):	fontconfig
Provides:	linux-libertine-fonts
Obsoletes:	linux-libertine-fonts

%description
The Linux Libertine Open Fonts are a TrueType font family for practical
use in documents. They were created to provide a free alternative to
proprietary standard fonts.


%prep
%setup -q -n %{archivename}


%build


%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{fontdir}
install -p -m 0644 *.ttf  %{buildroot}%{fontdir}
ttmkfdir -d %{buildroot}%{fontdir} -o %{buildroot}%{fontdir}/fonts.scale
cp -f %{buildroot}%{fontdir}/fonts.scale %{buildroot}%{fontdir}/fonts.dir
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d
ln -s %{fontdir} %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-libertine:pri=50

%clean
rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(644,root,root,755)
%doc Bugs Readme ChangeLog.txt LICENCE.txt
%{fontdir}
%{_sysconfdir}/X11/fontpath.d/ttf-libertine:pri=50



%changelog
* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.8.14-2mdv2010.0
+ Revision: 428851
- rebuild

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 2.8.14-1mdv2009.0
+ Revision: 254843
- update doc files
- Use pre-built fonts
- New version 2.8.14

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.7.9-3mdv2009.0
+ Revision: 245282
- rebuild

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 2.7.9-1mdv2008.1
+ Revision: 139763
- New versino 2.7.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 2.6.9-1mdv2008.0
+ Revision: 79374
- Import fonts-ttf-libertine

